## org.eclipse.ocl.cst
Interface InvCS

All Superinterfaces:
  CSTNode, EObject, InvOrDefCS, Notifier

All Known Implementing Classes:
  InvCSImpl

    public interface InvCS

extends InvOrDefCS

A representation of the model object 'Inv CS'.

The following features are supported:

- `Expression CS`

See Also:
  `CSTPackage.getInvCS()`

Method Summary
`OCLExpressionCS` `getExpressionCS()` Returns the value of the 'Expression CS' containment reference
`void` `setExpressionCS(OCLExpressionCS value)` Sets the value of the '`Expression CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.InvOrDefCS
`getInvOrDefCS, getSimpleNameCS, setInvOrDefCS, setSimpleNameCS`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExpressionCS

    OCLExpressionCS getExpressionCS()

  Returns the value of the 'Expression CS' containment reference.

  If the meaning of the 'Expression CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression CS' containment reference.
  See Also:
    `setExpressionCS(OCLExpressionCS)`, `CSTPackage.getInvCS_ExpressionCS()`

### setExpressionCS

    void setExpressionCS(OCLExpressionCS value)

  Sets the value of the '`Expression CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression CS' containment reference.
  See Also:
    `getExpressionCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.